Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class Property

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.Property

All Implemented Interfaces:
  Comparable<Property>, IExtendedResource, IResource

    public final class Property

extends AbstractResource
implements Comparable<Property>

Constructor Summary
`Property()`
`Property(String name, Occurs occurs, URI propertyDefinition, ValueType valueType)`

Method Summary
`void` | `addAllowedValue(String allowedValue)` Deprecated. Use `setAllowedValuesCollection(Collection)`, which allows for values other than String
`void` | `addRange(URI range)`
`int` | `compareTo(Property o)`
`String[]` | `getAllowedValues()` Deprecated. Use `getAllowedValuesCollection()`, which allows for values other than String
`Collection<?>` | `getAllowedValuesCollection()`
`URI` | `getAllowedValuesRef()`
`String` | `getDefaultValue()` Deprecated. Use `getDefaultValueObject()`, which supports types other than String
`Object` | `getDefaultValueObject()`
`String` | `getDescription()`
`Integer` | `getMaxSize()`
`String` | `getName()`
`URI` | `getOccurs()`
`URI` | `getPropertyDefinition()`
`URI[]` | `getRange()`
`URI` | `getRepresentation()`
`String` | `getTitle()`
`URI` | `getValueShape()`
`URI` | `getValueType()`
`Boolean` | `isHidden()`
`Boolean` | `isMemberProperty()`
`Boolean` | `isReadOnly()`
`void` | `setAllowedValues(String[] allowedValues)` Deprecated. Use `setAllowedValuesCollection(Collection)`, which allows for values other than String
`void` | `setAllowedValuesCollection(Collection<?> values)`
`void` | `setAllowedValuesRef(URI allowedValuesRef)`
`void` | `setDefaultValue(Object defaultValue)`
`void` | `setDescription(String description)`
`void` | `setHidden(Boolean hidden)`
`void` | `setMaxSize(Integer maxSize)`
`void` | `setMemberProperty(Boolean memberProperty)`
`void` | `setName(String name)`
`void` | `setOccurs(Occurs occurs)`
`void` | `setOccurs(URI occurs)`
`void` | `setPropertyDefinition(URI propertyDefinition)`
`void` | `setRange(URI[] ranges)`
`void` | `setReadOnly(Boolean readOnly)`
`void` | `setRepresentation(Representation representation)`
`void` | `setRepresentation(URI representation)`
`void` | `setTitle(String title)`
`void` | `setValueShape(URI valueShape)`
`void` | `setValueType(URI valueType)`
`void` | `setValueType(ValueType valueType)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Property

    public Property()

### Property

    public Property(String name,
                    Occurs occurs,
                    URI propertyDefinition,
                    ValueType valueType)

Method Detail

### addRange

    public void addRange(URI range)

### compareTo

    public int compareTo(Property o)

  Specified by:
    `compareTo` in interface `Comparable<Property>`

### getAllowedValuesRef

    public URI getAllowedValuesRef()

### getDefaultValueObject

    public Object getDefaultValueObject()

### getDefaultValue

    @Deprecated
    public String getDefaultValue()

  Deprecated. Use `getDefaultValueObject()`, which supports types other than String

### getDescription

    public String getDescription()

### getMaxSize

    public Integer getMaxSize()

### getName

    public String getName()

### getOccurs

    public URI getOccurs()

### getPropertyDefinition

    public URI getPropertyDefinition()

### getRange

    public URI[] getRange()

### getRepresentation

    public URI getRepresentation()

### getTitle

    public String getTitle()

### getValueShape

    public URI getValueShape()

### getValueType

    public URI getValueType()

### isHidden

    public Boolean isHidden()

### isMemberProperty

    public Boolean isMemberProperty()

### isReadOnly

    public Boolean isReadOnly()

### setAllowedValuesRef

    public void setAllowedValuesRef(URI allowedValuesRef)

### setDefaultValue

    public void setDefaultValue(Object defaultValue)

### setDescription

    public void setDescription(String description)

### setHidden

    public void setHidden(Boolean hidden)

### setMaxSize

    public void setMaxSize(Integer maxSize)

### setMemberProperty

    public void setMemberProperty(Boolean memberProperty)

### setName

    public void setName(String name)

### setOccurs

    public void setOccurs(Occurs occurs)

### setOccurs

    public void setOccurs(URI occurs)

### setPropertyDefinition

    public void setPropertyDefinition(URI propertyDefinition)

### setRange

    public void setRange(URI[] ranges)

### setReadOnly

    public void setReadOnly(Boolean readOnly)

### setRepresentation

    public void setRepresentation(Representation representation)

### setRepresentation

    public void setRepresentation(URI representation)

### setTitle

    public void setTitle(String title)

### setValueShape

    public void setValueShape(URI valueShape)

### setValueType

    public void setValueType(ValueType valueType)

### setValueType

    public void setValueType(URI valueType)

### getAllowedValuesCollection

    public Collection<?> getAllowedValuesCollection()

### setAllowedValuesCollection

    public void setAllowedValuesCollection(Collection<?> values)

### addAllowedValue

    @Deprecated
    public void addAllowedValue(String allowedValue)

  Deprecated. Use `setAllowedValuesCollection(Collection)`, which allows for values other than String

### getAllowedValues

    @Deprecated
    public String[] getAllowedValues()

  Deprecated. Use `getAllowedValuesCollection()`, which allows for values other than String

### setAllowedValues

    @Deprecated
    public void setAllowedValues(String[] allowedValues)

  Deprecated. Use `setAllowedValuesCollection(Collection)`, which allows for values other than String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.